Create Project
POST https://integrator.dckap.com/api/projects/create
To create a new project and for providing access to given users or to specific groups.
Headers
| Name | Type | Description |
|---|---|---|
| Authorization | string | Bearer |
Request Body
| Name | Type | Description |
|---|---|---|
| project_name | string | Project Name |
| project_description | string | Project Description |
| users | array | User Email ID’s |
| groups | array | User Group ID’s |
200 Successfull Response
{
"additional_data": {},
"data": {
"project_id": "6024f4cc15bea95eea74ef5d"
},
"error_code": "",
"message": "Success",
"status": 200,
"success": true
}
401 Authentication Error
{
"data": null,
"message": "UserWarning('Suspicious login attempt',)",
"response_status": 401,
"status": false,
"status_code": 401
}
Update Project
POST https://integrator.dckap.com/api/projects/update/:id
To modify and update the existing project.
Path Parameters
| Name | Type | Description |
|---|---|---|
| id | string | Project ID |
Headers
| Name | Type | Description |
|---|---|---|
| Authorization | string | Bearer |
Request Body
| Name | Type | Description |
|---|---|---|
| users | array | User Email ID’s |
| groups | array | User Group ID’s |
| project_name | string | Project Name |
| project_description | string | Project Description |
200 Successfull Response
{
"additional_data": {},
"data": {
"project_id": "6024f4cc15bea95eea74ef5d"
},
"error_code": "",
"message": "Success",
"status": 200,
"success": true
}
401 Authentication Error
{
"data": null,
"message": "UserWarning('Suspicious login attempt',)",
"response_status": 401,
"status": false,
"status_code": 401
}
Update Project Settings
POST https://integrator.dckap.com/workspace/:project_id/api/settings/update
To modify and update the project settings
Path Parameters
| Name | Type | Description |
|---|---|---|
| project_id | string | Project ID |
Headers
| Name | Type | Description |
|---|---|---|
| Authorization | string | Bearer |
200
{
"errors": {},
"status": "success"
}
401
{
"data": null,
"message": "UserWarning('Suspicious login attempt',)",
"response_status": 401,
"status": false,
"status_code": 401
}
Body Parameters
{
"general___timezone: "America/Juneau",
"activity_logs___activity_logs":false,
"projects_console___default_console_options":{"api_method":true,"api_request":true,"api_response":false, "api_headers": false, "api_params": false},
"projects_console___projects_console":false
}
To enable project activity logs, provide the key activity_logs___activity_logs with value true in body parameters and all the other settings can be modified in the same way.